Skip to main content
GET
/
api
/
core
/
use-cases
Get all use cases
curl --request GET \
  --url https://api.example.com/api/core/use-cases \
  --header 'Authorization: Bearer <token>'
{
  "permitted_use_cases": [
    {
      "id": "<string>",
      "label": {
        "en": "<string>",
        "de": "<string>",
        "es": "<string>",
        "fr": "<string>",
        "it": "<string>",
        "nl": "<string>",
        "pl": "<string>",
        "pt": "<string>",
        "sv": "<string>"
      },
      "description": {
        "en": "<string>",
        "de": "<string>",
        "es": "<string>",
        "fr": "<string>",
        "it": "<string>",
        "nl": "<string>",
        "pl": "<string>",
        "pt": "<string>",
        "sv": "<string>"
      },
      "disclaimer": {
        "disclaimer_text": {
          "en": "<string>",
          "de": "<string>",
          "es": "<string>",
          "fr": "<string>",
          "it": "<string>",
          "nl": "<string>",
          "pl": "<string>",
          "pt": "<string>",
          "sv": "<string>"
        },
        "disclaimer_url": "<string>"
      },
      "show_to_unauthorized_users": false,
      "can_contain_personal_knowledge_assets": false,
      "knowledge_asset_ids": [
        "<string>"
      ],
      "knowledge_source_ids": [
        "<string>"
      ],
      "org_entity_ids": [
        "<string>"
      ],
      "quick_action_ids": [
        "<string>"
      ],
      "external_links": [
        {
          "display_name": "<string>",
          "url": "<string>",
          "icon": "<string>",
          "is_global": false
        }
      ],
      "query_splitting": true,
      "show_knowledge_assets": true,
      "enable_additional_questions": true,
      "guided_search_field_ids": [
        "<string>"
      ],
      "enable_targeted_web_search": true,
      "feedback_form_config": {},
      "privacy_policy": {
        "privacy_policy_text": {
          "en": "By submitting your feedback, you consent to the processing of your personal data\n            (unless you have opted for anonymous feedback). Please also note our privacy policy, which \n            contains information about your right of withdrawal.",
          "de": "Mit Absenden des Feedbacks erklärst du dich mit der Verarbeitung deiner personenbezogenen\n            Daten einverstanden (sofern du dich nicht für ein anonymes Feedback entschieden hast). \n            Bitte beachte auch unsere Datenschutzhinweise, die Informationen zu deinem Widerrufsrecht enthalten."
        },
        "privacy_policy_url": "<string>"
      },
      "allow_url_retrieval_from_prompt": false,
      "is_personal_space": false,
      "enable_file_upload": false,
      "disable_reranking": false,
      "enable_pro_search": false
    }
  ],
  "knowledge_sources": [
    {
      "id": "<string>",
      "file_source_type": "<string>",
      "permissions_type": "<string>"
    }
  ],
  "knowledge_assets": [
    {
      "id": "<string>",
      "label": {
        "en": "<string>",
        "de": "<string>",
        "es": "<string>",
        "fr": "<string>",
        "it": "<string>",
        "nl": "<string>",
        "pl": "<string>",
        "pt": "<string>",
        "sv": "<string>"
      },
      "description": {
        "en": "<string>",
        "de": "<string>",
        "es": "<string>",
        "fr": "<string>",
        "it": "<string>",
        "nl": "<string>",
        "pl": "<string>",
        "pt": "<string>",
        "sv": "<string>"
      },
      "knowledge_source_ids": [
        "<string>"
      ],
      "category": "personal",
      "icon_filename": "<string>",
      "is_selected_by_default": true,
      "load_page_assets": false,
      "download_disabled": false,
      "guided_search_field_ids": [
        "<string>"
      ],
      "is_empty": true
    }
  ],
  "org_entities": [
    {
      "id": "<string>",
      "name": {
        "en": "<string>",
        "de": "<string>",
        "es": "<string>",
        "fr": "<string>",
        "it": "<string>",
        "nl": "<string>",
        "pl": "<string>",
        "pt": "<string>",
        "sv": "<string>"
      },
      "description": {
        "en": "<string>",
        "de": "<string>",
        "es": "<string>",
        "fr": "<string>",
        "it": "<string>",
        "nl": "<string>",
        "pl": "<string>",
        "pt": "<string>",
        "sv": "<string>"
      },
      "logo_url": "<string>",
      "primary_color": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer token authentication. Format: 'Bearer '

Query Parameters

only_include_use_case_id
string | null
include_knowledge_assets
boolean
default:false
include_knowledge_sources
boolean
default:false
include_org_entities
boolean
default:false

Response

Successful Response

permitted_use_cases
PartialUseCaseResponseSchema · object[]
required
knowledge_sources
KnowledgeSourceResponseSchema · object[] | null
knowledge_assets
KnowledgeAssetResponseSchema · object[] | null
org_entities
OrgEntityResponseSchema · object[] | null